Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/deductions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subnet": "string",
"status": "completed",
"created_at": 0,
"sort": "string",
"direction": "asc",
"payout_uuid": "string",
"invoice_uuid": "string"
}
'import requests
url = "https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/deductions"
payload = {
"subnet": "string",
"status": "completed",
"created_at": 0,
"sort": "string",
"direction": "asc",
"payout_uuid": "string",
"invoice_uuid": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subnet: 'string',
status: 'completed',
created_at: 0,
sort: 'string',
direction: 'asc',
payout_uuid: 'string',
invoice_uuid: 'string'
})
};
fetch('https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/deductions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "string",
"tenant_uuid": "string",
"ipmarket_service_uuid": "string",
"subnet": "string",
"amount": 0,
"status": "pending",
"comment": "string",
"evidence": "string",
"all_sum": true,
"lease_period": 0,
"deduction_invoice_uuid": "string",
"created_at": 0,
"updated_at": 0,
"type": "service"
}List IP Market Deductions
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
UUID
^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$Filter by IP
Filter by status
completed, cancelled, pending Filter by created_at date
Sort by date field
Sort direction
asc, desc Filter by payout invoice UUID
Filter by deduction invoice UUID
IP Market Deductions Collection
pending, completed, cancelled service, ip_holder_fee